Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_TSS_Connection Class Reference

Class for providing a connection per thread. More...

`#include <Remote_Tokens.h>`

Inheritance diagram for ACE_TSS_Connection:

[legend]
Collaboration diagram for ACE_TSS_Connection:

[legend]
List of all members.

## Public Methods
| ACE_TSS_Connection (void)
| ~ACE_TSS_Connection (void)
ACE_SOCK_Stream * | get_connection (void)
| Retrieve the thread's connection. More...
virtual ACE_SOCK_Stream * | make_TSS_TYPE (void) const
| Factory Method that creates a new SOCK Stream. More...
| operator ACE_SOCK_Stream * (void)
| Inheritence and operator overloading don't mix. Redefine this from ACE_TSS so that we can use it. More...
void | dump (void) const
| Dump the state of the class. More...
## Static Public Methods
void | set_server_address (const ACE_INET_Addr &server_address)
| Set the server address. More...
## Static Protected Attributes
ACE_INET_Addr | server_address_
| The address of the Token Server used by all instances of Token_Proxy. More...
## Private Methods
| ACE_TSS_Connection (const ACE_TSS_Connection &)
| Private: should not be used. More...
void | operator= (const ACE_TSS_Connection &)

## Detailed Description

Class for providing a connection per thread.

ACE_TSS_Connection provides a single access point for all threads to access thread-specific connections. This prevents resource-sharing problems such as thread serialization.

## Constructor & Destructor Documentation

ACE_TSS_Connection::ACE_TSS_Connection | ( | void |  | ) |

ACE_TSS_Connection::~ACE_TSS_Connection | ( | void |  | ) |

ACE_TSS_Connection::ACE_TSS_Connection | ( | const ACE_TSS_Connection & |  | ) | `[private]`

| Private: should not be used.

## Member Function Documentation

void ACE_TSS_Connection::dump | ( | void |  | ) | const

| Dump the state of the class. Reimplemented from ACE_TSS.

ACE_SOCK_Stream * ACE_TSS_Connection::get_connection | ( | void |  | ) |

| Retrieve the thread's connection.

ACE_SOCK_Stream * ACE_TSS_Connection::make_TSS_TYPE | ( | void |  | ) | const`[virtual]`

| Factory Method that creates a new SOCK Stream. Reimplemented from ACE_TSS.

ACE_TSS_Connection::operator ACE_SOCK_Stream * | ( | void |  | ) |

| Inheritence and operator overloading don't mix. Redefine this from ACE_TSS so that we can use it.

void ACE_TSS_Connection::operator= | ( | const ACE_TSS_Connection & |  | ) | `[private]`

void ACE_TSS_Connection::set_server_address | ( | const ACE_INET_Addr & | server_address | ) | `[static]`

| Set the server address.

## Member Data Documentation

ACE_INET_Addr ACE_TSS_Connection::server_address_`[static, protected]`

| The address of the Token Server used by all instances of Token_Proxy.

The documentation for this class was generated from the following files:

- Remote_Tokens.h
- Remote_Tokens.cpp